Actualizar plantilla de correo para una reclamación
curl --request POST \
--url https://e3-kausanna.sonqo.io/mailing/templates/{name} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"html": "<html><body><h1>Plantilla de correo</h1></body></html>"
}
'import requests
url = "https://e3-kausanna.sonqo.io/mailing/templates/{name}"
payload = { "html": "<html><body><h1>Plantilla de correo</h1></body></html>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({html: '<html><body><h1>Plantilla de correo</h1></body></html>'})
};
fetch('https://e3-kausanna.sonqo.io/mailing/templates/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Template updated",
"meta": {
"name": "new_claim"
}
}Utilidades
Actualizar plantilla de email
POST
/
mailing
/
templates
/
{name}
Actualizar plantilla de correo para una reclamación
Se puede actualizar las plantillas disponibles de email con este endpoint.
Las plantillas disponibles son las siguientes:
| Nombre | Descripción |
|---|---|
new_claim | Nueva disputa, enviada cuando se recibe por primera vez una disputa a un comercio |
claim_resolution | Resolución de disputa, enviada cuando se resuelve una disputa |
Placeholders
Las plantillas de email pueden contener placeholders que serán reemplazados por los valores correspondientes al enviar el email. Los placeholders disponibles son los siguientes:| Placeholder | Descripción |
|---|---|
{{authCode}} | Código de autorización de la transacción. |
{{paymentId}} | ID Ranty del pago. (específico Banco Galicia) |
{{amount}} | Monto de la disputa. |
{{pan}} | Número de tarjeta que originó la disputa |
Authorizations
API Token generated for your account. The token must be prefixed with Bearer.
Path Parameters
Available options:
new_claim, claim_resolution Body
application/json
Example:
"<html><body><h1>Plantilla de correo</h1></body></html>"
Response
200 - application/json
OK
The response is of type object.
⌘I

